using System.Reflection;

namespace DigitalData.UserManager.API.Models
{
    public class Constants
    {
        public IEnumerable<string> UserLanguages { get; init; } = Array.Empty<string>();

        public object? this[string propertyName] => GetType()
            .GetProperty(propertyName, BindingFlags.IgnoreCase | BindingFlags.Public | BindingFlags.Instance)?
            .GetValue(this, null);
    }
}